from environments.kitchen.v3.kitchen_dense_base import KitchenDenseEnv

class KitchenBottomBurnerOffEnvV3(KitchenDenseEnv):
    TASK_NAME = "bottom burner-off"
    BONUS_THRESH = 0.3

class KitchenBottomBurnerOnEnvV3(KitchenDenseEnv):
    TASK_NAME = "bottom burner-on"
    BONUS_THRESH = 0.3
    
class KitchenHingeCabinetCloseEnvV3(KitchenDenseEnv):
    TASK_NAME = "hinge cabinet-close"
    BONUS_THRESH = 0.3

class KitchenHingeCabinetOpenEnvV3(KitchenDenseEnv):
    TASK_NAME = "hinge cabinet-open"
    BONUS_THRESH = 0.2
    
class KitchenKettlePullEnvV3(KitchenDenseEnv):
    TASK_NAME = "kettle-pull"
    BONUS_THRESH = 0.1
    
class KitchenKettlePushEnvV3(KitchenDenseEnv):
    TASK_NAME = "kettle-push"
    BONUS_THRESH = 0.1
    
class KitchenLightSwitchOffEnvV3(KitchenDenseEnv):
    TASK_NAME = "light switch-off"
    BONUS_THRESH = 0.3
    
class KitchenLightSwitchOnEnvV3(KitchenDenseEnv):
    TASK_NAME = "light switch-on"
    BONUS_THRESH = 0.3
    
class KitchenMicrowaveCloseEnvV3(KitchenDenseEnv):
    TASK_NAME = "microwave-close"
    BONUS_THRESH = 0.1
    
class KitchenMicrowaveOpenEnvV3(KitchenDenseEnv):
    TASK_NAME = "microwave-open"
    BONUS_THRESH = 0.3
    
class KitchenSlideCabinetCloseEnvV3(KitchenDenseEnv):
    TASK_NAME = "slide cabinet-close"
    BONUS_THRESH = 0.1
    
class KitchenSlideCabinetOpenEnvV3(KitchenDenseEnv):

    TASK_NAME = "slide cabinet-open"
    BONUS_THRESH = 0.1
    
class KitchenTopBurnerOffEnvV3(KitchenDenseEnv):
    TASK_NAME = "top burner-off"
    BONUS_THRESH = 0.3

class KitchenTopBurnerOnEnvV3(KitchenDenseEnv):
    TASK_NAME = "top burner-on"
    BONUS_THRESH = 0.3
